Package org.eclipse.emf.cdo.server.security

## Class SecurityManagerUtil

- java.lang.Object
- - org.eclipse.emf.cdo.server.security.SecurityManagerUtil

-     public final class SecurityManagerUtil
      extends java.lang.Object

  Static factory methods for creating `security managers`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ISecurityManager` | `createSecurityManager​(java.lang.String realmPath)` |
    `static ISecurityManager` | `createSecurityManager​(java.lang.String realmPath, org.eclipse.net4j.util.container.IManagedContainer container)` |
    `static ISecurityManager` | `getSecurityManager​(IRepository repository)` |
    `static void` | `prepareContainer​(org.eclipse.net4j.util.container.IManagedContainer container)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSecurityManager

          public static ISecurityManager getSecurityManager​(IRepository repository)

      Since:
        4.3

    - #### createSecurityManager

          public static ISecurityManager createSecurityManager​(java.lang.String realmPath)

    - #### createSecurityManager

          public static ISecurityManager createSecurityManager​(java.lang.String realmPath,
                                                               org.eclipse.net4j.util.container.IManagedContainer container)

    - #### prepareContainer

          public static void prepareContainer​(org.eclipse.net4j.util.container.IManagedContainer container)